Skip to main content
GET
/
vendors
/
{vendorId}
/
assessments
/
{assessmentId}
Get assessment by ID
curl --request GET \
  --url https://api.vanta.com/v1/vendors/{vendorId}/assessments/{assessmentId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vanta.com/v1/vendors/{vendorId}/assessments/{assessmentId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vanta.com/v1/vendors/{vendorId}/assessments/{assessmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d8",
  "vendorId": "6696e9bca247cbdf1c8e5054",
  "status": "COMPLETED",
  "completedByUserId": "6696ea0595df50d5cd6ec3b7",
  "startDate": "2024-02-01T00:00:00.000Z",
  "dueDate": "2024-03-01T00:00:00.000Z",
  "overrideDueDate": "2024-03-15T00:00:00.000Z",
  "completionDate": "2024-03-10T00:00:00.000Z",
  "createdDate": "2024-01-25T00:00:00.000Z",
  "decision": {
    "status": "APPROVED",
    "lastUpdatedAt": "2024-03-17T00:00:00.000Z",
    "comments": "No major concerns, limited sharing of data, low security risk."
  },
  "assessmentType": {
    "id": "6696ea0595df50d5cd6ec3b8",
    "name": "Security",
    "description": null
  },
  "owner": {
    "id": "6696ea0595df50d5cd6ec3b9",
    "type": "USER",
    "displayName": "Jane Doe",
    "email": "jane.doe@example.com"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendorId
string
required
assessmentId
string
required

Response

200 - application/json

Ok

id
string
required

Unique identifier for the assessment.

vendorId
string
required

Unique identifier for the vendor.

status
enum<string>
required

The lifecycle status of the assessment.

Available options:
NOT_STARTED,
IN_PROGRESS,
COMPLETED
completedByUserId
string | null
required

The Vanta user ID of the person who completed this assessment.

startDate
string<date-time> | null
required

The timestamp of when the assessment was started.

dueDate
string<date-time> | null
required

The timestamp of when the assessment is due.

overrideDueDate
string<date-time> | null
required

A manual override timestamp of when the assessment is due.

completionDate
string<date-time> | null
required

The timestamp of when the assessment was marked as completed.

createdDate
string<date-time>
required

The timestamp of when the assessment was created.

decision
object | null
required

An object containing information about the decision of the assessment.

assessmentType
object
required

The assessment type for this assessment.

owner
object | null
required

The owner of this assessment, if assigned.